Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037209
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2017-11-02 14:322018-02-22 17:24
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision5e48183608e8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037209: Used credit field is not updated when credit is used in the same payment other credit is generated

DescriptionUsed credit field is not updated when credit is used in the same payment other credit is generated

Used Credit field stores:

- In Payment's that use credit -> the credit amount used from other payments
- In Payment's that generate credit -> the credit amount used in other payments
Steps To ReproduceAs group admin role:
   Create a Payment In, set a Business Partner and Amount
   Add Details, do not select any invoice or G/L Item and select the Overpayment Option = 'Leave the credit to be used later'

   Create a Sales Invoice for the same BP
   Do not use credit when completing it

   Create a new Payment In, set a Business Partner and Amount
   Select the Invoice to be paid
   Select the credit to be used and set the invoice amount
   Select the Overpayment Option = 'Leave the credit to be used later'

   Check the Used Credit field remains as 0 but the credit used is informed in Used Credit Source tab
Proposed SolutionAnalyze if it should be allowed to generate and use credit in the same payment
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0037243 closedTriage Finance It should not be possible to use and generate credit in the same payment. 
related to defect 0037244 closedTriage Finance Credit information do not updated if a payment containing credit info is reactivated. 

-  Notes
(0100371)
psanjuan (manager)
2017-11-09 10:24

Proposed solution:
It will not be possible to use credit up to the amount being paid. Therefore, a payment can not use existing credit to generate more credit in the same payment if the amount being paid is already covered.

For instance if we do have a credit of 100.00 and we need to pay an invoice of 500.00, and the payment in amount is 450.00; it will only be possible to use 50.00 of that credit.

A payment could only generate or consume credit but never both in the same payment.
(0100503)
AtulOpenbravo (developer)
2017-11-13 19:05
edited on: 2017-11-13 19:07

- Login as International Group Admin
- Create a Payment In, set a Business Partner and Amount = 100
- Add Details, do not select any invoice or G/L Item and select the Overpayment Option = 'Leave the credit to be used later', process payment.
- Create a Sales Invoice for the same BP for eg: Amount 200. Do not use credit when completing it.
- Create a new Payment In, set a Business Partner and Amount that is equal to invoice amount = 200 created in above step.
- Select the Invoice to be paid, set amount = 200
- Select the credit to be used and set the amount as 100
   Select the Overpayment Option = 'Leave the credit to be used later'
- Check the Used Credit field remains as 0 and Used Credit Source tab does not have any record for the credit payment selected in the above step.

- Login as International Group Admin
- Create a Payment In, set a Business Partner and Amount = 100
- Add Details, do not select any invoice or G/L Item and select the Overpayment Option = 'Leave the credit to be used later', process payment.
- Create a Sales Invoice for the same BP for eg: Amount 250. Do not use credit when completing it.
- Create a new Payment In, set a Business Partner and Amount that is less than invoice amount = 200 created in above step.
- Select the Invoice to be paid, set amount = 200
- Select the credit to be used and set the amount as 50
   Select the Overpayment Option = 'Leave the credit to be used later'
- Check the Used Credit field remains as 50 and Used Credit Source tab has the information about the credit payment selected and amount = 50.

(0100583)
hgbot (developer)
2017-11-17 12:52

Repository: erp/devel/pi
Changeset: 5e48183608e87d1ee11505e492a188e8a187050c
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Nov 09 06:16:13 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/5e48183608e87d1ee11505e492a188e8a187050c [^]

Fixes Issue 37209, Fixes Issue 37244: Used credit field is not updated
when credit is used in the same payment other credit is generated
and Credit information do not updated if a payment containing credit
info is reactivated.

** Reset usedCredit when traversing through the selected credit payment
Whenever there is sufficient payment amount to fully pay the invoice
and user still selects credit payments, discard the selection of credit
payment in such cases as credit is not actually being used.
** Set credit payment description only in case it is actually consumed

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/AddPaymentActionHandler.java
---
(0100585)
dmiguelez (developer)
2017-11-17 13:02

Code Review + Testing Ok
(0101435)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0102634)
hgbot (developer)
2018-02-22 17:24

Repository: tools/automation/int
Changeset: 1ccac4a1255ef61ccf2eb2e36135e39d39f49bb1
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Nov 21 09:17:28 2017 +0530
URL: http://code.openbravo.com/tools/automation/int/rev/1ccac4a1255ef61ccf2eb2e36135e39d39f49bb1 [^]

Related to issue 37209, related to issue 37244:Added some automated tests

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions4/APRIn_RegressionSuite4.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions4/APRRegression37209In.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRIn_Regressions4/APRRegression37244In.java
---

- Issue History
Date Modified Username Field Change
2017-11-02 14:32 ngarcia New Issue
2017-11-02 14:32 ngarcia Assigned To => Triage Finance
2017-11-02 14:32 ngarcia Modules => Core
2017-11-02 14:32 ngarcia Triggers an Emergency Pack => No
2017-11-02 14:33 ngarcia Issue Monitored: networkb
2017-11-02 17:03 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2017-11-03 11:09 psanjuan Note Added: 0100243
2017-11-07 12:33 psanjuan Note Deleted: 0100243
2017-11-07 12:37 psanjuan Note Added: 0100303
2017-11-07 12:46 psanjuan Note Edited: 0100303 View Revisions
2017-11-07 12:55 psanjuan Relationship added related to 0037243
2017-11-07 12:55 psanjuan Note Edited: 0100303 View Revisions
2017-11-07 13:06 psanjuan Relationship added related to 0037244
2017-11-07 15:01 psanjuan Note Edited: 0100303 View Revisions
2017-11-09 04:51 AtulOpenbravo Status new => scheduled
2017-11-09 10:19 psanjuan Note Deleted: 0100303
2017-11-09 10:24 psanjuan Note Added: 0100371
2017-11-13 19:05 AtulOpenbravo Note Added: 0100503
2017-11-13 19:07 AtulOpenbravo Note Edited: 0100503 View Revisions
2017-11-17 12:52 hgbot Checkin
2017-11-17 12:52 hgbot Note Added: 0100583
2017-11-17 12:52 hgbot Status scheduled => resolved
2017-11-17 12:52 hgbot Resolution open => fixed
2017-11-17 12:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5e48183608e87d1ee11505e492a188e8a187050c [^]
2017-11-17 13:02 dmiguelez Review Assigned To => dmiguelez
2017-11-17 13:02 dmiguelez Note Added: 0100585
2017-11-17 13:02 dmiguelez Status resolved => closed
2017-11-17 13:02 dmiguelez Fixed in Version => 3.0PR18Q1
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101435
2018-02-22 17:24 hgbot Checkin
2018-02-22 17:24 hgbot Note Added: 0102634


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker